using Wizard.Battle.View;
using Wizard.Battle.View.Vfx;

public class RepeatSkillEffectVfx : SequentialVfxPlayer
{
	private const float WAIT_REPEAT_TIME = 1f;

	public RepeatSkillEffectVfx(IBattleCardView cardView, string repeatTiming, bool isSelf)
	{
		if (cardView != null && !(cardView.GameObject == null) && repeatTiming == "when_destroy")
		{
			Register(new LoadAndPlayEffectVfx("btl_unique_twilightqueen_2", "se_btl_unique_twilightqueen_2", cardView.Transform, 0f));
			Register(WaitVfx.Create(1f));
			BattleManagerBase.GetIns().OperateMgr.CallOnShowRepeatSkillEffect(isSelf);
		}
	}
}
